package cn.com.qmth.ac.util;

import java.io.StringWriter;

/**
 * 字节转换工具
 */
public class ByteUtil {

    public static String toHexAscii(byte[] bytes) {
        int len = bytes.length;

        StringWriter sw = new StringWriter(len * 2);
        for (int i = 0; i < len; ++i) {
            addHexAscii(bytes[i], sw);
        }
        return sw.toString();
    }

    public static void addHexAscii(byte b, StringWriter sw) {
        int ub = b & 0xff;
        int h1 = ub / 16;
        int h2 = ub % 16;
        sw.write(toHexDigit(h1));
        sw.write(toHexDigit(h2));
    }

    public static char toHexDigit(int h) {
        char out;
        if (h <= 9) {
            out = (char) (h + 0x30);
        } else {
            out = (char) (h + 0x37);
        }
        return out;
    }

}
